# React Native Starter Kit with Redux, Saga, Firebase

A starter boilerplate for a mobile app using React Native and Redux.

## Requirements
Before start, make sure you installed:
- [Android Studio](https://developer.android.com/studio/index.html) : Android Dev Environment
- [Xcode](https://developer.apple.com/xcode/), [CocoaPods](https://cocoapods.org/) : iOS Dev Environment
- [Node](https://nodejs.org) and [React Native CLI](http://facebook.github.io/react-native/docs/getting-started.html): React Native Dev Environment

## Stack
- [React Native](https://facebook.github.io/react-native/): Development Environment
- [React Native Router Flux](https://github.com/aksonov/react-native-router-flux): JS based navigator for React Native
- [Redux](http://redux.js.org/): A predictable state container for JavaScript apps
- [Redux-Saga](https://redux-saga.js.org/docs/api/): An alternative side effect model for Redux apps
- [Firebase](https://firebase.google.com/): Realtime Database
- [ESLint](https://eslint.org/): Pluggable linting utility for JavaScript
- [Babel](http://babeljs.io/): The compiler for writing next generation JavaScript
- [Flow](http://flowtype.org/): A Static Type Checker for JavaScript

## How to run?

Clone the repo and install packages.
```shell
$ git clone https://github.com/bbdroid/react-native-redux-firebase ReactNativeBoilerplate
$ cd ReactNativeBoilerplate
$ npm install
$ cd ios && pod install
```

Run Android Project.
```shell
$ react-native run-android
```

Run iOS Project.
```shell
$ react-native run-ios
```

Clean cache
```shell
$ npm run clean
```

## Issues

Do you have any concern to run this project?&nbsp;&nbsp;Please feel free to contact me!

## License

This project is licensed under the MIT License - see the LICENSE file for details